Name:           newsbeuter
Version:        2.9
Release:        %mkrel 1
Summary:        Configurable text-based feed reader
Group:          Networking/News
License:        MIT
URL:            http://newsbeuter.org/
Source0:        http://newsbeuter.org/downloads/%{name}-%{version}.tar.xz
Patch0:         %{name}-2.8-Improve-solarized-dark-colorscheme.patch
Patch1:         %{name}-2.8-Add-solarized-light-colorscheme.patch
Patch2:         %{name}-2.9-ncurses6.patch

BuildRequires:  gcc-c++
BuildRequires:  gettext
BuildRequires:  json-c-devel
BuildRequires:  libcurl-devel
BuildRequires:  libxml2-devel
BuildRequires:  ncurses-devel
BuildRequires:  perl-devel
BuildRequires:  pkgconfig
BuildRequires:  lib64sqlite3-devel
BuildRequires:  lib64stfl-devel
Requires:       lib64stfl0

%description
Newsbeuter is a feed reader for text terminals.  Newsbeuter's great
configurability and vast number of features make it a perfect choice for people
that need a slick and fast feed reader that can be completely controlled via
keyboard.


%prep
%setup -q
%patch0 -p1 -b .improve-solarized-dark
%patch1 -p1 -b .add-solarized-light
%patch2 -p1 -b .ncurses6


%build
export CXXFLAGS="%{optflags}"
export LDFLAGS="%{?__global_ldflags}"
./config.sh
make %{?_smp_mflags} prefix=%{_prefix}


%install
%make_install prefix=%{_prefix}
# %%doc will be used in %%files to pull in the documentation
rm -rf %{buildroot}/%{_datadir}/doc/%{name}
# remove executable permissions on man pages
find %{buildroot}/%{_mandir} -type f -exec chmod -x '{}' ';'
# remove exectuable permissions on contrib/ scripts
find contrib/ -type f -exec chmod -x '{}' ';'
%find_lang %{name}


%files -f %{name}.lang
%doc README doc/xhtml/newsbeuter.html doc/example-config
%doc contrib/
%doc LICENSE
%{_mandir}/man1/*
%{_bindir}/*


%changelog
* Sat Feb 28 2929 tex 0 2.9-1pclos2020
- create stupid cli package
